# SceIoDirent Struct Reference

`#include <sdk/user/pspiofilemgr_dirent.h>`

Collaboration diagram for SceIoDirent:

[legend]

## Detailed Description

Describes a single directory entry.

## Data Fields

SceIoStat | d_stat
| File status.
char | d_name [256]
| File name.
void * | d_private
| Device-specific data.
int | dummy

## Field Documentation

char SceIoDirent::d_name[256]

| File name.

void* SceIoDirent::d_private

| Device-specific data.

SceIoStat SceIoDirent::d_stat

| File status.

int SceIoDirent::dummy

The documentation for this struct was generated from the following file:

- sdk/user/pspiofilemgr_dirent.h